Fixes for Rake::GemPackageTask deprecation warnings from Rake 0.9.0 #1274

Merged
merged 1 commit into from May 24, 2011

Conversation

Projects
None yet
2 participants
@vijaydev
Member

vijaydev commented May 24, 2011

Fixing the deprecation of Rake::GemPackageTask in Rake 0.9.0.

@josevalim

This comment has been minimized.

Show comment Hide comment
@josevalim

josevalim May 24, 2011

Contributor

Could you please check since which Rubygems version the package task require is available?

Contributor

josevalim commented May 24, 2011

Could you please check since which Rubygems version the package task require is available?

@vijaydev

This comment has been minimized.

Show comment Hide comment
@vijaydev

vijaydev May 24, 2011

Member

Found out that RubyGems 1.3.2 included "a Rake task for creating gems which replaces rake’s Rake::GemPackageTask" (http://rubygems.rubyforge.org/rubygems-update/History_txt.html). Is that what you are asking? I'm sorry if I misunderstood anything.

Member

vijaydev commented May 24, 2011

Found out that RubyGems 1.3.2 included "a Rake task for creating gems which replaces rake’s Rake::GemPackageTask" (http://rubygems.rubyforge.org/rubygems-update/History_txt.html). Is that what you are asking? I'm sorry if I misunderstood anything.

@josevalim

This comment has been minimized.

Show comment Hide comment
@josevalim

josevalim May 24, 2011

Contributor

Yup, that was it, tks.

Contributor

josevalim commented May 24, 2011

Yup, that was it, tks.

josevalim added a commit that referenced this pull request May 24, 2011

Merge pull request #1274 from vijaydev/rake-packagetask-warning-fix
Fixes for Rake::GemPackageTask deprecation warnings from Rake 0.9.0

@josevalim josevalim merged commit 36991f1 into rails:master May 24, 2011

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment